<template lang="html">
  <component v-if="componentExists" :class="[mode]" :is="iconName" :width="width" :height="height" />
  <div v-else class="blank-icon">
    <span v-if="symbol" :class="{ 'small': symbol.length > 2 }">{{ symbol }}</span>
  </div>
</template>

<script>
import { FIAT } from '../lib/supported-fiat.js';
export default {
  props: {
    name: {
      type: String
    },
    mode: {
      type: String,
      default: 'default',
    },
    width: {
      type: String,
      default: '24'
    },
    height: {
      type: String,
      default: '24'
    }
  },
  computed: {
    componentExists() {
      return !!this.$options.components[this.iconName];
    },
    iconName() {
      return `icons-${this.name.toLowerCase()}`;
    },
    symbol() {
      const fiatCurrency = FIAT.find(c => c.currency === this.name.toUpperCase());
      if(fiatCurrency) return fiatCurrency.symbol;
    },
  },
}
</script>

<style lang="scss" scoped>
@import "butter-mixins";

</style>
